About Immersion Gaming Driver User Reference

Immersion Gaming Driver User Reference

Immersion Gaming Driver 2.6 User Reference

Welcome!

This help file provides

  • system requirements and supported operating systems information;
  • typical installation prodecures;
  • solutions to some typical problems encountered during installation;
  • late-breaking news, including known issues with the current driver release.

We strongly suggest that you contact your hardware manufacturer's technical support team if you have any questions about your device. If you don't know how to reach them, you can find a link to their main website at

http://www.immersion.com/corporate/partners.shtml

Immersion Corporation
801 Fox Lane
San Jose, CA 95131 USA
Telephone: 408.467.1900
Fax: 408.467.1901

© 2001 Immersion Corporation. All rights reserved. Immersion, the Immersion logo, and TouchSense are trademarks of Immersion Corporation.


System Requirements and Supported Operating Systems

System Requirements:

  • You must have DirectX 7.0a or greater installed on your system. To download the latest version of DirectX from Microsoft, please visit http://www.microsoft.com/directx.
  • Your computer must have an available USB port.
  • Some newer USB gaming devices draw the power required to provide force feedback functionality from the USB itself. You will know if you have such a device by noting the absence of a separate power cable. If your device does not require AC power, you must connect the device to a self-powered hub (the terminology may be confusing - read on).

    A USB hub is a USB "breakout box" - you plug it into a single USB port on your computer, and it provides several new ports (typically 4) to which you can connect USB peripherals. A self-powered USB hub is one that draws external power - the hub will typically come with an AC adapter. A bus-powered USB hub has no external power source - it draws its power from the USB.

    The operating system will usually let you know if there is insufficient power available to properly operate the device. The safest bet, if you are confused, is to plug the gaming device into a free USB port directly on your computer (oftentimes at the back of the computer, although manufacturers are increasingly providing USB connectivity on the front side of the computer). Those ports are guaranteed to provide sufficient power.

Supported Operating Systems:

  1. Windows XP Home Edition/Professional - USB devices only
  2. Windows 2000 Professional - USB devices only
  3. Windows Millennium Edition - USB devices only
  4. Windows 98 - USB devices only


Typical Installation Procedure

The Immersion Gaming Driver ships with many devices, with different connectors and different locations for indiciator LEDs (lights). The procedures outlined below are presented for a "complete" device - one with all the supported connectors and indicators. Your particular device may not have a particular feature, but the instructions below should be general enough to follow for all devices.

Installation Procedure According to Desired Connection

If you will be connecting your gaming device to your computer using the Universal Serial Bus (USB) connector (if supplied), please consult

  • Typical Universal Serial Bus (USB) Installation (Windows 98/ME/2000)

    Don't know what a USB connector looks like? Look for this symbol, it appears on all USB connectors:


Typical Universal Serial Bus (USB) Installation

If your device has a USB connector and your computer supports USB, you can take advantage of the automatic Plug and Play installation. USB devices are supported for the Windows XP™, Windows 2000™, Windows Millennium Edition™ and Windows98™ operating systems. Your system must also have USB connectors or a USB adapter card. If you have all the above, perform the following installation steps:

Windows 2000/XP Installation

These drivers must be installed by a user with Administrator privileges. Please consult your system administrator or Microsoft Operating System User's Manual for more information on Administrator privileges.

  1. Start Windows 2000/XP.
  2. Plug the device into the computer's USB connector, making sure that the device's power is on.
  3. At this point, depending on your particular gaming device, the operating system will do one of two things:
    • Your computer will detect the device and pop up the "Found New Hardware Wizard" dialog. If this is the case, instructions follow below.
    • Your computer will detect the device and report "USB Human Interface Device". In this case, Windows will proceed to install its default driver for the device. It will provide some functionality, but force feedback will not work. Please proceed to the instructions pertaining to overriding the default driver in Windows 2000/XP and Windows ME below.
  4. Click Next.
  5. Choose "Search for a suitable driver for my device (recommended)" and click Next.
  6. Insert the floppy disk or CD-Rom containing the Immersion Drivers
  7. Specify the location of the drivers, either the Floppy Drive, CD-ROM, or manually browse for the drivers.
  8. Click Next.
  9. If the hardware manufacturer has not certified the driver installation files with Microsoft, you will be prompted with a "Digital Signature Not Found" dialog (Windows 2000) or a similar ominous warning (Windows XP). Click "Yes" if you wish to continue the installation.
  10. Click Next.
  11. While installing the Driver, Windows may again ask for the location of a specific file. Simply choose the directory of the drivers, and click "Okay."
  12. Click Finish.

Windows 98 Installation

  1. Start Windows.
  2. Plug the device into the computer's USB connector, making sure that the device's power is on.
  3. Your computer will detect the device and report "New Device Found."
  4. Click Next.
  5. Choose "Search for Best Drivers" and click "Next."
  6. Insert the floppy disk or CD-Rom containing the Immersion Drivers
  7. Specify the location of the drivers, either the Floppy Drive, CD-ROM, or manually browse for the drivers.
  8. Click Next.
  9. Click Next.
  10. While installing the Driver, Windows may again ask for the location of a specific file. Simply choose the directory of the drivers, and click "Okay."
  11. Click Finish and restart the computer if necessary.

Windows ME Installation

  1. Start Windows.
  2. Plug the device into the computer's USB connector, making sure that the device's power is on.
  3. At this point, depending on your particular gaming device, the operating system will do one of two things:
    • Your computer will detect the device and report "New Device Found." If this is the case, installations are the same as for Windows 98. Please proceed to step 4 of the Windows 98 installation instructions.
    • Your computer will detect the device and report "USB Human Interface Device". In this case, Windows will proceed to install its default driver for the device. It will provide some functionality, but force feedback will not work. Please proceed to the instructions pertaining to overriding the default driver in Windows 2000/XP and Windows ME below.

Overriding the Windows Default Driver in Windows 2000/XP and Windows ME

Some newer Immersion Gaming devices are fully-implemented Human Interface Devices, as defined by the USB organization. Operating systems that were released after the standard was developed (Windows XP, Windows 2000, Windows ME) have some built-in support for such devices, and Windows will always install its default driver when a Human Interface Device is first plugged in. The procedure that follows describes how to install the proper driver for your Immersion Gaming device in these circumstances.

  1. At this point, unfortunately, Windows has installed default drivers, and we instead want the Immersion Gaming Driver to be installed. Go to Start > Settings > Control Panel.
  2. Double-click the System applet. This will bring up the System Properties dialog.
  3. Click on the Device Manager tab.
  4. Select the "View devices by type" radio button.
  5. In the list of device types, there should be an entry called "Human Interface Devices". Click the plus sign next to that entry.
  6. If you have additional Human Interface Devices connected to your system other than your Immersion Gaming device, you will see them listed here. This procedure assumes that there are no other Human Interface Devices connected to your system.

    You should see two entries under the "Human Interface Devices" entry - a "HID-compliant device" and a "USB Human Interfrace Device". Select the USB Human Interface Device entry and click the Properties button (it's near the bottom left-hand corner of the window).
  7. A new window titled "USB Human Interface Device Properties" will appear. Click on the Driver tab.
  8. Click the Update Driver button.
  9. A new window titled "Update Device Driver Wizard" will appear. Select the "Specify the location of the driver (Advanced)" radio button, and click Next.
  10. Select the "Search for a better driver than the one your device is using now (recommended)" radio button. If you are attempting to install the drivers on the CD provided by the manufacturer, make sure the checkbox that specifies "Removable Media (Floppy, CD-ROM...)" is checked. If you have downloaded a package from the web containing this driver, make sure the checkbox that specifies "Specify a location" is checked, and enter the path where the driver files are located (e.g., c:\drivers\mydevicename). Click Next.
  11. At this point, once Windows has finished searching for your device drivers, you should see the name of your device, and some text indicating that Windows is ready to install the best driver for your device, and below that, the path displayed under "Location of driver" should correspond to the path you entered in the previous step (if you entered one). If it does not, you will have to consult your hardware manufacturer for technical assistance.
  12. Click Next. Windows is now installing the Immersion Gaming driver.
  13. Once Windows has completed updating the driver, click Finish.


Troubleshooting Your Immersion Gaming Device

The following is a list of steps you can follow to help diagnose some typical installation issues. By following these steps, you can solve 90% of all issues with your Immersion Gaming Device.

1 - Is the device plugged in?

Check to ensure that the device is plugged in properly. Typically, Immersion Gaming devices possess an LED to indicate that the device is receiving power. If this light is not on, check to see that all cables, including the AC adapter, are plugged in properly and that your outlet is working properly.

2 - Are the drivers installed?

for USB Immersion Gaming devices:

If the drivers are correctly installed for your device, the name of your device will appear in the Controllers listbox of the Gaming Options (DirectX 8) or Game Controllers (DirectX 7) control panel applet whenever the device is connected to the computer.

However, for more recent Immersion Gaming devices that support the Human Interface Device standard, you should highlight the device in the Controllers listbox and click Properties. If the Immersion Gaming device control panel applet appears, this typically indicates that the driver install was successful. You will recognize the Immersion Gaming device control applet by noting that on the Test Input page, the following logo is displayed near the bottom right-hand corner:

3 - Is DirectX 7.0a or later installed?

Windows ME and Windows 2000 both ship with DirectX 7 - the only operating system that shipped with a DirectX version prior to 7 is Windows 98. For more information on installing DirectX version 7.0a or later, see the system requirements section.

4 - Is there a hardware conflict?

If you are using the USB version of the joystick/wheel, be sure that the device is not conflicting with your mouse, modem, or other devices. Check in your Device Manager to see if you have any hardware conflicts. These will be indicated by a yellow exclamation point next to the problem device. If a conflict is present, contact your hardware or computer manufacturer to clear the conflict. Also, in Windows 98/ME, you may have DOS serial mouse drivers running in your Windows environment. These may conflict with the joystick and are not necessary in Windows. Contact your manufacturer for more details.

To find the Device Manager, follow these steps:

Windows 98/ME:

  1. Start your computer.
  2. Plug the device into the computer, making sure that the device's power is on.
  3. Open the Control Panel from the Start menu under Settings.
  4. Open the System icon and click on the Device Manager tab.

Windows 2000/XP:

  1. Start your computer.
  2. Plug the device into the computer, making sure that the device's power is on.
  3. Open the Control Panel from the Start menu under Settings.
  4. Open the System icon and click on the Hardware tab.
  5. In the Device Manager area, click on the Device Manager button.

Since hardware conflicts can be software related, read on to determine if your problem is software conflict-based.

5 - Is there a software conflict?

If you have joystick or game controller installed upon your computer, be sure that its Profiler program or drivers are not conflicting with the Immersion device. The Profiler program can be removed through your Add/Remove Programs Icon in your control panel or unloaded by right-clicking on the icon in your start bar in the lower right-hand corner of your desktop. This may disable your non-Immersion device, so you should consult your hardware manufacturer before making changes to your system.

6 - Is there a conflict with background programs?

In Windows 98/ME, you can TEMPORARILY remove background programs by pressing the Ctrl-Alt-Delete keys together once. This will bring up a "Close Program Box" where you can terminate individual programs by highlighting the program and clicking on the END TASK button. Simply select a program, then hit the End Task button. Keep the Systray, Explorer, and any other programs that are vital to your computer's function. If you make a mistake, simply restart your computer, and all programs will be restored. Through trial and error, you may be able to determine if a program is causing a conflict with the device.

The procedure outlined above is not recommended for Windows 2000/XP users.

7 - Does your computer have USB support?

Make sure that USB support is installed on your computer. Check the Device Manager for a "Universal serial bus controller." If you do not see it, you must install the USB support found on your operating system CD. Typically, if no USB controllers appear in Device Manager, that implies that no USB hardware is present on your computer. Contact your computer manufacturer for proper USB installation procedures.

If you still have problems, please consult the Frequently-Asked Questions section.


Frequently-Asked Questions

Here are a few categories of typical questions posed by Immersion Gaming device users.

DirectX issues

  • I have Windows 98, and I don't know if I have DirectX 7.0a or higher. What should I do?
  • Where can I get the latest version of Direct X? How do I install it?

    Please consult the system requirements section for instructions on obtaining the latest version of DirectX. If you don't know what version of DirectX is installed on your computer, we suggest that you upgrade to the latest version - it's always a good idea to have the latest DirectX version installed.

Gaming Options/Game Controllers Control Panel issues

  • In the Gaming Options control panel, I get a "Not Connected" message. What do I do?

    This typically happens when the driver is installed incorrectly. If you have not already run through the Troubleshooting Your Immersion Gaming Device section, please consult it now.

    If your device still doesn't work properly, you may have to reinstall the driver by following the installation instructions.

  • I can't feel any forces on the Test Forces tab of the control panel. What's going on?

    There are several reasons why you may not feel forces in the Test Forces tab. First, check to see if the force enable detector is covered by your hand when you grip the device (some Immersion Gaming devices do not have force enable detectors - please consult your manufacturer for any questions regarding a specific device). Second, check the Gain Settings tab to ensure that you have the force volume turned up. It may be set to zero. Also, if you have not already run through the Troubleshooting Your Immersion Gaming Device section, please consult it now.

  • I can't find my device in the Add controller list. What can I do?

    This is normal - the USB plug-and-play driver will not list your device in the Add controller list. Check to see if the drivers are installed. Also, if you have not already run through the Troubleshooting Your Immersion Gaming Device section, please consult it now.

Game issues

  • I have more than one controller installed on my computer, and my Immersion Device isn't working. What's going on?

    Check the Advanced tab in the Game Controllers. Here, you can view or change the device ID number. Make sure that the Immersion device is set to the lowest possible ID number (1). If the controller has a status of "not connected" or flickers with an "ok," check all connections and power supplies to insure that they are plugged in correctly.

Please also refer to the sections on hardware conflicts, software conflicts and background program conflicts for addtional tips.

  • My device works, but I can't feel any forces in my game. What's going on?

    If your device is working in a game but you do not feel any forces, there are several steps you can take to insure that the device is working properly. First, make sure the game you are playing is a force feedback-enabled game designed for DirectX 5 or greater. Second, make sure the game you are playing has the forces enabled in its options menu. Please refer to your game documentation for details on enabling force feedback. Third, check the Gain Settings tab in the Gaming Options Control Panel to ensure that you have the Force Gain turned up to a level which you can feel.

  • My device doesn't work in the game. What can I do?

    Make sure that you have enabled the device in the control options screen for the particular game (certain games may call their "control options" screen something else...). Please refer to your game documentation for more information. Make sure that your Immersion device is configured properly on your computer by verifying functionality invoking the control panel for your Immersion Gaming device.

Universal Serial Bus (USB)

  • How can I check if the USB works on my computer?

    See the section on Does your computer have USB support?.

Device Conflicts

  • I have another joystick or game controller installed on my computer, and my Immersion device is not functioning properly. What is going on?

    Please refer to the sections on hardware conflicts, software conflicts and background program conflicts for information.


Release Notes

Immersion Gaming Driver User Reference

Immersion Gaming Driver 2.6.3 Release Notes

This page contains a list of issues addressed in this release, and known issues with this release.

Issues Addressed in This Release

  • Fixed minor memory leak in imhidusb.sys kernel-mode component (TT1274).

Known Issues For This Release

  • Vibration-only devices cannot produce the full spectrum of existing force feedback effects. Some games make extensive use of spring and damper effects, and these effects cannot be reproduced on vibration-only devices. Therefore, when a vibration-only device is used with these games, fewer sensations will be felt than would be available with a full-featured force feedback device.
  • Vibration-only devices do not fully support triggered effects (TT1327) - This is a known issue that is currently being investigated. Triggered effects are used sparingly (if at all) in most PC games, so the user will not notice this in most gameplay situations.
  • Wheel forces feel different in Need For Speed - Porsche Unleashed when using DirectX7, DirectX8 (TT1121) - When DX7 is installed on a user's system, when playing Need For Speed - Porsche Unleashed, some force effects are not mapped from the Y axis to the X (or wheel) axis. When using DX8, all force effects are mapped to the X axis. This is a game programming issue that Immersion has no control over, therefore Immersion knows of no workaround for this issue.
  • Immersion Reference Control Panel - Combined/separate pedals, input display shows crosshair stuck at bottom when DirectX8.1 installed (TT1161) - In Windows XP, and in Windows 2000 with DirectX8.1 installed, the control panel Input Test page may show no Y-axis (combined brake/accelerator) movement when the driver is first installed. This is a DirectX8.1 issue that Microsoft may be planning to fix in their DirectX9 release. The workaround - reboot the system. After a reboot, the input display should show full movement in all axes.
  • Windows XP - In Gaming Options, Immersion Reference Control Panel fails to launch if Properties button clicked right after device appears in listbox (TT1162) - This only happens if a user tries to view a game controller's properties within the first few seconds after having plugged in the USB game controller. It seems that the Gaming Options panel presents the newly-found device in the listbox well before the driver has finished installing and loading. Workaround - wait a few seconds after device plugin before attempting to click the Properties button for that device.